Bug 135860 - anaconda rescue mode should bind mount /dev to /mnt/sysimage/dev
anaconda rescue mode should bind mount /dev to /mnt/sysimage/dev
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 10:57 EDT by Colin Walters
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 12:34:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2004-10-15 10:57:25 EDT
User-Agent:       
Build Identifier: 

Currently doing a "chroot /mnt/sysimage" is less useful when there are no device
files :)  Suggested fix: mount --bind /dev/ mnt/sysimage/dev

Reproducible: Always
Steps to Reproduce:
1. chroot /mnt/sysimage
2. ??
3. Profit!
Comment 1 Jeremy Katz 2004-10-15 16:15:32 EDT
Heh, and I had just noticed this like an hour ago :)

Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.